webpackJsonp([8],{

/***/ 654:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PaymentPageModule", function() { return PaymentPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__payment__ = __webpack_require__(685);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var PaymentPageModule = (function () {
    function PaymentPageModule() {
    }
    PaymentPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__payment__["a" /* PaymentPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__payment__["a" /* PaymentPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], PaymentPageModule);
    return PaymentPageModule;
}());

//# sourceMappingURL=payment.module.js.map

/***/ }),

/***/ 685:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PaymentPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_user_user__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_payment_payment__ = __webpack_require__(163);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_config__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_moment__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_6_moment__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var PaymentPage = (function () {
    function PaymentPage(util, user, platform, payment, nav, menu, view, events) {
        this.util = util;
        this.user = user;
        this.platform = platform;
        this.payment = payment;
        this.nav = nav;
        this.menu = menu;
        this.view = view;
        this.events = events;
        this.page = 1;
        // this.currentStudent = this.util.getCurrentStudent();
        // this.hasMoreStudent = this.util.hasMoreStudent();
        var tel = this.user.getValue('tel');
        var ts = __WEBPACK_IMPORTED_MODULE_6_moment__().unix();
        console.log("timestamp = ", ts);
        var ra = this.util.getRndInteger(1000000, 9999999);
        console.log("ra = ", ra);
        var pID = parseInt(tel) + parseInt(ra);
        console.log("pID = ", pID);
        var tID = (ts + ra * 1000) + '' + ra;
        console.log("tID = ", tID);
        var url = __WEBPACK_IMPORTED_MODULE_5__app_app_config__["a" /* Config */].wsUrl + "?flag=FOCUS&phoneID=" + tel + "&userID=" + this.user.getValue('id') + "&stuID=" + this.user.getCurrentStudentId() + "&tID=" + tID + "&pID=" + pID;
        console.log("url ", url);
        this.iframeSrc = this.util.sanitizer.bypassSecurityTrustResourceUrl(url);
    }
    PaymentPage.prototype.ionViewDidLoad = function () {
        // this.getRemoteData();
    };
    PaymentPage.prototype.getOverview = function () {
        var _this = this;
        //this.util.showLoading();
        var studentDetail = this.util.getStorage('studentDetail');
        this.currentStudentId = this.user.getCurrentStudentId();
        for (var key in studentDetail) {
            if (parseInt(key) == this.currentStudentId)
                this.counter = studentDetail[key].paymentCount;
        }
        /* this.platform.ready().then(() => {
            let condition = {studentId: this.util.getCurrentStudentId()};
            this.payment.getBatchesFromLocalDb(this.page, condition).then((ret) => {
                this.items = ret;
                this.util.hideLoading();
            });
        });
  */
        this.payment.getItemsFromLocalDb(this.page, { studentId: this.currentStudentId }).then(function (ret) {
            _this.items = ret;
        });
    };
    PaymentPage.prototype.getRemoteData = function () {
        var _this = this;
        // 从服务器更新数据
        this.platform.ready().then(function () {
            var currentStudentId = _this.util.getCurrentStudentId();
            _this.payment.getLatestFromRemoteDb(currentStudentId);
            _this.getOverview();
        });
    };
    PaymentPage.prototype.refresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.getRemoteData();
            refresher.complete();
        }, 1000);
    };
    PaymentPage.prototype.loadMore = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            _this.platform.ready().then(function () {
                _this.page = _this.page + 1;
                /*      this.payment.getBatchesFromLocalDb(this.page).then((ret) => {
                         for(let i in ret) {
                             this.items.push(ret[i]);
                         }
                 }); */
                _this.payment.getItemsFromLocalDb(_this.page).then(function (ret) {
                    for (var i in ret) {
                        _this.items.push(ret[i]);
                    }
                });
            });
            infiniteScroll.complete();
        }, 1000);
    };
    PaymentPage.prototype.openDetailPage = function () {
        this.nav.push('PaymentDetailPage');
    };
    PaymentPage.prototype.menuToggle = function () {
        this.menu.open();
    };
    PaymentPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-payment',template:/*ion-inline-start:"/Users/joe/dev/ionic/v3/schoolapp-parent/src/pages/payment/payment.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        <button ion-button menuToggle>\n            <ion-icon name="menu" color="white"></ion-icon>\n        </button>\n        <ion-buttons start>\n            <button ion-button class="search-btn" (click)="menuToggle()">\n                <ion-icon name="menu" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'Focus\' | translate}}</span>\n        </ion-title>\n        <!-- <ion-buttons end>\n            <button ion-button class="search-btn fw500" style="font-size: 30px;font-weight: bold;" (click)="openDetailPage()">\n                <ion-icon name="list" color="white"></ion-icon>\n            </button>\n        </ion-buttons> -->\n    </ion-navbar>\n\n    </ion-header>\n\n    <ion-content scroll="true" overflow-scroll="true" style="margin-bottom:100px;">\n        <iframe [src]="iframeSrc"  method="post" frameborder="0" style="width:100%;height:100%;"></iframe>	\n    </ion-content>\n'/*ion-inline-end:"/Users/joe/dev/ionic/v3/schoolapp-parent/src/pages/payment/payment.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_4__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_2__providers_user_user__["a" /* UserProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_3__providers_payment_payment__["a" /* PaymentProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["MenuController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"]])
    ], PaymentPage);
    return PaymentPage;
}());

//# sourceMappingURL=payment.js.map

/***/ })

});
//# sourceMappingURL=8.js.map